GetFaceContainingPoint
Prev | 10.7. Topology Accessors | Next

## Name

GetFaceContainingPoint — Finds the face containing a point.

## Synopsis

`integer GetFaceContainingPoint(`text atopology, geometry apoint`)`;

## Description

Returns the id of the face containing a point.

An exception is thrown if the point falls on a face boundary.

The function relies on a valid topology, using edge linking and face labeling.

Availability: 3.2.0

## See Also

ST_GetFaceGeometry

Prev | Up | Next
GetFaceByPoint | Home | GetNodeByPoint